Bug 145471 - gnome-vfs shares not supported
gnome-vfs shares not supported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 15:12 EST by Sean Middleditch
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.0.0-3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 07:02:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Middleditch 2005-01-18 15:12:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
OpenOffice.org is claiming to support remote shares over gnome-vfs as
both the .desktop file setting indicate this and the remote shares are
shown in the Save/Open dialogs.

However, actually using these shares do not work.  If I start OOo from
either the command line or opening a file on a remote share in
Nautilus, OOo will display the splash then silently exit - no messages
are displayed on the console.

If I use the open dialog in OOo I can browse to a file on a remote
share but nothing seems to happen when I click open - no error
messages, no new blank document, no crash, just nothing.

When trying to save a document to a remote share I get the error:
"Error saving the document Untitled1:
Wrong parameter.
The operation was started under an invalid parameter."

(On a completely different note, do GUI programmers not realize how
horrendously stupid it is to make error dialog text unselectable?  No
wonder even most technical users don't report error messages... ::sigh::)

If OOo just isn't capable of using gnome-vfs properly at this time
then the .desktop file should note that it only supports local files
and the proper file chooser properties should be set so it doesn't
display remote shares in the file chooser.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.2-14.7 gnome-vfs2-2.8.2-10

How reproducible:
Always

Steps to Reproduce:
Try to open a document on a remote share in Nautilus or using the Open
dialog in OOo.  Also try saving a document to a remote share.

Additional info:
Comment 1 Caolan McNamara 2005-04-08 10:34:19 EDT
This stuff should work in rawhide now I think, e.g. 1.9.89-5

Note You need to log in before you can comment on or make changes to this bug.